Bug 1887128 - [abrt] blueberry: update_connected_state(): blueberry-tray.py:85:update_connected_state:TypeError: sequence item 0: expected str instance, NoneType found
Summary: [abrt] blueberry: update_connected_state(): blueberry-tray.py:85:update_conne...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: blueberry
Version: 33
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:117324f016b3f5c2c304965b733...
: 1911252 1925813 1926048 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-11 04:39 UTC by acidcloud
Modified: 2021-10-14 07:50 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-18 17:45:58 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (646 bytes, text/plain)
2020-10-11 04:39 UTC, acidcloud
no flags Details
File: cpuinfo (2.55 KB, text/plain)
2020-10-11 04:39 UTC, acidcloud
no flags Details
File: environ (4.00 KB, text/plain)
2020-10-11 04:39 UTC, acidcloud
no flags Details
File: mountinfo (4.13 KB, text/plain)
2020-10-11 04:39 UTC, acidcloud
no flags Details
File: namespaces (172 bytes, text/plain)
2020-10-11 04:39 UTC, acidcloud
no flags Details
File: open_fds (1.32 KB, text/plain)
2020-10-11 04:39 UTC, acidcloud
no flags Details

Description acidcloud 2020-10-11 04:39:30 UTC
Version-Release number of selected component:
blueberry-1.3.7-2.fc33

Additional info:
reporter:       libreport-2.14.0
cgroup:         0::/user.slice/user-1000.slice/session-2.scope
cmdline:        blueberry-tray '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
crash_function: update_connected_state
exception_type: TypeError
executable:     /usr/lib/blueberry/blueberry-tray.py
interpreter:    blueberry-1.3.7-2.fc33.noarch
kernel:         5.8.14-300.fc33.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
blueberry-tray.py:85:update_connected_state:TypeError: sequence item 0: expected str instance, NoneType found

Traceback (most recent call last):
  File "/usr/lib/blueberry/blueberry-tray.py", line 78, in update_icon_callback
    self.update_connected_state()
  File "/usr/lib/blueberry/blueberry-tray.py", line 85, in update_connected_state
    self.icon.set_tooltip_text(_("Bluetooth: Connected to %s") % (", ".join(self.connected_devices)))
TypeError: sequence item 0: expected str instance, NoneType found

Local variables in innermost frame:
self: <__main__.BluetoothTray object at 0x7f10051faf00 (__main__+BluetoothTray at 0x55d2f00c20f0)>

Comment 1 acidcloud 2020-10-11 04:39:32 UTC
Created attachment 1720530 [details]
File: backtrace

Comment 2 acidcloud 2020-10-11 04:39:33 UTC
Created attachment 1720531 [details]
File: cpuinfo

Comment 3 acidcloud 2020-10-11 04:39:35 UTC
Created attachment 1720532 [details]
File: environ

Comment 4 acidcloud 2020-10-11 04:39:36 UTC
Created attachment 1720533 [details]
File: mountinfo

Comment 5 acidcloud 2020-10-11 04:39:37 UTC
Created attachment 1720534 [details]
File: namespaces

Comment 6 acidcloud 2020-10-11 04:39:37 UTC
Created attachment 1720535 [details]
File: open_fds

Comment 7 leigh scott 2020-10-11 06:48:56 UTC
This is worthless spam!!!!!!!!!
No steps to reproduce or system info provided.

Comment 8 Dominik 'Rathann' Mierzejewski 2020-10-11 10:21:55 UTC
(In reply to leigh scott from comment #7)
> This is worthless spam!!!!!!!!!
> No steps to reproduce or system info provided.

Leigh, please tone down your language. We should be grateful that users bother to report bugs at all, not insult them. If you don't have the patience, feel free to make me the primary contact for blueberry.

To the original reporter: please provide the steps to reproduce this and the output of `rfkill` and `bluetoothctl show` commands.

Comment 9 leigh scott 2020-10-11 11:26:59 UTC
(In reply to Dominik 'Rathann' Mierzejewski from comment #8)
> (In reply to leigh scott from comment #7)
> > This is worthless spam!!!!!!!!!
> > No steps to reproduce or system info provided.
> 
> Leigh, please tone down your language. We should be grateful that users
> bother to report bugs at all, not insult them. If you don't have the
> patience, feel free to make me the primary contact for blueberry.
> 
This isn't my package but it's still assigned to alt-gtk-desktop, this needs to change.
FTR auto-generated abrt reports without steps are useless, maybe it's time for me to pipe all to my spam filter. 

> To the original reporter: please provide the steps to reproduce this and the
> output of `rfkill` and `bluetoothctl show` commands.

Comment 10 Dominik 'Rathann' Mierzejewski 2020-11-18 17:45:58 UTC
Closing due to no response from reporter. Feel free to reopen with the requested data provided.

Comment 11 bryansocco 2020-12-28 11:11:57 UTC
*** Bug 1911252 has been marked as a duplicate of this bug. ***

Comment 12 bitchecker 2021-02-06 19:00:01 UTC
*** Bug 1925813 has been marked as a duplicate of this bug. ***

Comment 13 Hawk1 2021-02-08 05:34:51 UTC
*** Bug 1926048 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.